/*************************************************************************
 * This file is part of Crosroads 1.76, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

int backend_count () {
    int n = 0, i;
    
    for (i = 0; i < activeservice->nbackend; i++)
	if (backend_available(i))
	    n++;
    msg ("Service %s: %d backend(s) available", activeservice->name, n);
    return (n);
}
