/*************************************************************************
 * This file is part of Crosroads 1.76, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

void msg (char const *fmt, ...) {
    va_list args;
    char *str;

    if (!flag_verbose || !fmt || !*fmt)
	return;
    va_start (args, fmt);
    str = str_vprintf (fmt, args);
    if (!daemonized)
	fprintf (stderr, "INFO: %s\n", str);
    else
	writelog (LOG_NOTICE, "INFO: %s", str);
    free (str);
    va_end (args);
}
